Subject: [OAUTH-WG] 5.2 Example Error

From: Paul Tarjan <[email-masked]>
Date: Thu, 12 Aug 2010 08:24:40 +0000

Hi (Fellow) OAuthers,

Reading the spec over, I noticed the example in 5.2 says

  WWW-Authenticate: OAuth realm='Example Service', error='expired-token'

but the syntax above it seems to want

  WWW-Authenticate: OAuth realm='"Example Service" error="expired-token"

also, expired-token isn't a valid response code, I think it should be:

  WWW-Authenticate: OAuth realm='"Example Service" error="expired_token"

and for good measure, maybe an example description 

  WWW-Authenticate: OAuth realm='"Example Service" error="expired_token" error_description="This token expired at 1234567890 and it is now 1234599999"

Similarly in 5.2.1:

     WWW-Authenticate: OAuth realm='Example Service'

I think it should be double quotes.

Thanks
Paul